﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace PictureMemoSystem001
{
    public partial class GetNewFileNameDialog : Form
    {
        public GetNewFileNameDialog(Font f,string selectedItem, string newFileNameWithoutExtension)
        {
            InitializeComponent();

            this.MinimizeBox = false;
            this.MaximizeBox = false;
            this.ControlBox = false;

            this.buttonOk.DialogResult = DialogResult.OK;
            this.buttonCancel.DialogResult = DialogResult.Cancel;

            this.textBoxCheckedItem.ReadOnly = true;
            this.textBoxCheckedItem.TabStop = false;

            this.textBoxCheckedItem.Font = f;
            this.textBoxNewFileName.Font = f;
            this.textBoxCheckedItem.Text = selectedItem;
            this.textBoxNewFileName.Text = newFileNameWithoutExtension;
        }

        private void buttonOk_Click(object sender, EventArgs e)
        {
            this.Text = this.textBoxNewFileName.Text;
        }
    }
}
